Procurando a documentação anterior?Acesse v1.docs.pluggy.ai
PluggyDocs
GET/payments/requests/{id}/automatic-pix/schedules

Listar pagamentos automáticos de PIX agendados

Lista todos os pagamentos automáticos de PIX de uma solicitação de pagamento

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Responses

200Recupera todos os pagamentos automáticos de PIX de uma solicitação de pagamento.
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]

List of automatic PIX payments

itemsobject

Pagamento automático via PIX

Example response

json
{
  "page": 1,
  "total": 1,
  "totalPages": 1,
  "results": [
    {
      "id": "66d503f1-0cfa-4d64-9f87-0782d959eba7",
      "recipientId": "3b8f2f2a-0f6e-4a6a-9d8f-7c2e1b4a5d6e",
      "status": "SCHEDULED",
      "amount": 0.01,
      "description": "Teste pagamento schedule",
      "endToEndId": null,
      "date": "2025-06-08",
      "errorDetail": null,
      "clientPaymentId": "external-ref-456",
      "isFirstPayment": false
    }
  ]
}
curl -X GET \
'https://api.pluggy.ai/payments/requests/{id}/automatic-pix/schedules' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Resposta de exemplo
{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "66d503f1-0cfa-4d64-9f87-0782d959eba7",
"recipientId": "3b8f2f2a-0f6e-4a6a-9d8f-7c2e1b4a5d6e",
"status": "SCHEDULED",
"amount": 0.01,
"description": "Teste pagamento schedule",
"endToEndId": null,
"date": "2025-06-08",
"errorDetail": null,
"clientPaymentId": "external-ref-456",
"isFirstPayment": false
}
]
}